tigase.disco

## Class ServiceEntity

- java.lang.Object
- - tigase.disco.ServiceEntity

-     public class ServiceEntity
      extends Object

  Describe class ServiceEntity here. Created: Sat Feb 10 13:11:34 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceEntity(String jid, String node, String name)` Creates a new `ServiceEntity` instance.
    `ServiceEntity(String jid, String node, String name, boolean adminOnly)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFeatures(String... features)` Describe `addFeatures` method here.
    `void` | `addIdentities(ServiceIdentity... identities)` Describe `addIdentities` method here.
    `void` | `addItems(ServiceEntity... items)` Describe `addItems` method here.
    `boolean` | `equals(Object obj)` 2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
    `ServiceEntity` | `findNode(String node)` Describe `findNode` method here.
    `tigase.xml.Element[]` | `getDiscoFeatures(String node)` Method description
    `tigase.xml.Element` | `getDiscoInfo(String node)` Method description
    `tigase.xml.Element` | `getDiscoInfo(String node, boolean admin)` Describe `getDiscoInfo` method here.
    `tigase.xml.Element` | `getDiscoItem(String node, String jid)` Describe `getDiscoItem` method here.
    `List<tigase.xml.Element>` | `getDiscoItems(String node, String jid)` Method description
    `List<tigase.xml.Element>` | `getDiscoItems(String node, String jid, boolean admin)` Method description
    `List<tigase.xml.Element>` | `getItems(String node, String jid)` Method description
    `List<tigase.xml.Element>` | `getItems(String node, String jid, boolean admin)` Method description
    `String` | `getJID()` Describe `getJID` method here.
    `String` | `getName()` Describe `getName` method here.
    `String` | `getNode()` Describe `getNode` method here.
    `int` | `hashCode()` Describe `hashCode` method here.
    `boolean` | `isAdminOnly()` Method description
    `void` | `removeItems(ServiceEntity... items)` Method description
    `void` | `setAdminOnly(boolean adminOnly)` Method description
    `void` | `setDescription(String description)` Method description
    `void` | `setFeatures(String... features)` Method description
    `void` | `setIdentities(ServiceIdentity... identities)` Method description
    `String` | `toString()` Describe `toString` method here.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceEntity

          public ServiceEntity(String jid,
                       String node,
                       String name)

      Creates a new `ServiceEntity` instance.
      Parameters:
        `jid` -
        `node` -
        `name` -

    - #### ServiceEntity

          public ServiceEntity(String jid,
                       String node,
                       String name,
                       boolean adminOnly)

      Constructs ...
      Parameters:
        `jid` -
        `node` -
        `name` -
        `adminOnly` -

  - ### Method Detail

    - #### addFeatures

          public void addFeatures(String... features)

      Describe `addFeatures` method here.
      Parameters:
        `features` -

    - #### addIdentities

          public void addIdentities(ServiceIdentity... identities)

      Describe `addIdentities` method here.
      Parameters:
        `identities` -

    - #### addItems

          public void addItems(ServiceEntity... items)

      Describe `addItems` method here.
      Parameters:
        `items` -

    - #### equals

          public boolean equals(Object obj)

      2 ServiceEntities are equal of JIDs are equal and NODEs are equal.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - an `Object` value
      Returns:
        a `boolean` value

    - #### findNode

          public ServiceEntity findNode(String node)

      Describe `findNode` method here.
      Parameters:
        `node` - a `String` value
      Returns:
        a `ServiceEntity` value

    - #### hashCode

          public int hashCode()

      Describe `hashCode` method here.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        an `int` value

    - #### removeItems

          public void removeItems(ServiceEntity... items)

      Method description
      Parameters:
        `items` - is a `ServiceEntity`

    - #### toString

          public String toString()

      Describe `toString` method here.
      Overrides:
        `toString` in class `Object`
      Returns:
        a `String` value

    - #### getDiscoFeatures

          public tigase.xml.Element[] getDiscoFeatures(String node)

      Method description
      Parameters:
        `node` - is a `String`
      Returns:
        a value of `Element[]`

    - #### getDiscoInfo

          public tigase.xml.Element getDiscoInfo(String node)

      Method description
      Parameters:
        `node` - is a `String`
      Returns:
        a value of `Element`

    - #### getDiscoInfo

          public tigase.xml.Element getDiscoInfo(String node,
                                        boolean admin)

      Describe `getDiscoInfo` method here.
      Parameters:
        `node` - a `String` value
        `admin` - is a `boolean`
      Returns:
        an `Element` value

    - #### getDiscoItem

          public tigase.xml.Element getDiscoItem(String node,
                                        String jid)

      Describe `getDiscoItem` method here.
      Parameters:
        `node` - a `String` value
        `jid` - a `String` value
      Returns:
        an `Element` value

    - #### getDiscoItems

          public List<tigase.xml.Element> getDiscoItems(String node,
                                               String jid)

      Method description
      Parameters:
        `node` - is a `String`
        `jid` - is a `String`
      Returns:
        a value of `List`

    - #### getDiscoItems

          public List<tigase.xml.Element> getDiscoItems(String node,
                                               String jid,
                                               boolean admin)

      Method description
      Parameters:
        `node` - is a `String`
        `jid` - is a `String`
        `admin` - is a `boolean`
      Returns:
        a value of `List`

    - #### getItems

          public List<tigase.xml.Element> getItems(String node,
                                          String jid)

      Method description
      Parameters:
        `node` - is a `String`
        `jid` - is a `String`
      Returns:
        a value of `List`

    - #### getItems

          public List<tigase.xml.Element> getItems(String node,
                                          String jid,
                                          boolean admin)

      Method description
      Parameters:
        `node` - is a `String`
        `jid` - is a `String`
        `admin` - is a `boolean`
      Returns:
        a value of `List`

    - #### getJID

          public String getJID()

      Describe `getJID` method here.
      Returns:
        a `String` value

    - #### getName

          public String getName()

      Describe `getName` method here.
      Returns:
        a `String` value

    - #### getNode

          public String getNode()

      Describe `getNode` method here.
      Returns:
        a `String` value

    - #### isAdminOnly

          public boolean isAdminOnly()

      Method description
      Returns:
        a value of `boolean`

    - #### setAdminOnly

          public void setAdminOnly(boolean adminOnly)

      Method description
      Parameters:
        `adminOnly` - is a `boolean`

    - #### setDescription

          public void setDescription(String description)

      Method description
      Parameters:
        `description` - is a `String`

    - #### setFeatures

          public void setFeatures(String... features)

      Method description
      Parameters:
        `features` - is a `String`

    - #### setIdentities

          public void setIdentities(ServiceIdentity... identities)

      Method description
      Parameters:
        `identities` - is a `ServiceIdentity`

Copyright © 2014 "Tigase, Inc.". All rights reserved.